#include <iostream>
using namespace std;
#include <cmath>

int main() {
    long long n;
    cin >> n;
    int wp = 1;
    // n*1*1;
    if (n == 4) {
        cout << 2;
        return 0;
    }
    if (n % 2 == 0) {
            wp++;
            //n/2 * 2 * 1
    }
    if (n % 4 == 0) {
        wp++;
        //n/4 * 2 * 2
    }
    for (int i = 3; i < sqrt(n); i++) {
        if (n % i == 0) {
            wp++;
            //n/i  * i * 1
        }
        if (n % (i*i) == 0) {
            wp++;
            //n/(i*i) * i * i
        }
    }
    cout << wp;
    return 0;
}


